Skip to main content
POST
/
api
/
v1
/
direct-debit
/
subaccount
/
consent
curl --location --request POST 'https://api.recital.finance/api/v1/direct-debit/subaccount/consent' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <api-key>' \
--data-raw '{
    "email":"e@x.com",
    "callbackUrl": "http://google.com",
    "connectId":"CON-R01D31Z5JIXB4G5W25L8YYYYIG",
    "accountWalletId": "842d6cae-87db-44a7-9a20-4f719acd9a7"
}'
{
  "success": true,
  "message": "Authorization initialized",
  "data": {
      "redirectUrl": "https://link.paystack.com/8h7f2dfdd4t8tn8d",
      "2faEnable": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.recital.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorization

Authorization
string
required
API Key
email
string
required
Customer’s email address.
callbackUrl
string
required
Customer will be sent to that page after giving consent.
connectId
string
required
The connect Id allowed to interact with this wallet. This can be gotten from the response on listing your providers..
accountWalletId
string
required
Customer’s subaccount wallet id.
curl --location --request POST 'https://api.recital.finance/api/v1/direct-debit/subaccount/consent' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <api-key>' \
--data-raw '{
    "email":"e@x.com",
    "callbackUrl": "http://google.com",
    "connectId":"CON-R01D31Z5JIXB4G5W25L8YYYYIG",
    "accountWalletId": "842d6cae-87db-44a7-9a20-4f719acd9a7"
}'
{
  "success": true,
  "message": "Authorization initialized",
  "data": {
      "redirectUrl": "https://link.paystack.com/8h7f2dfdd4t8tn8d",
      "2faEnable": false
  }
}

Notes

  • The returned redirectUrl is a hosted authorization page where the user can complete consent.